<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio/include/Audio/MicrophoneInterface.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a></li><li class="navelem"><a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a></li><li class="navelem"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a></li><li class="navelem"><a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">MicrophoneInterface.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MicrophoneInterface.h:</div>
<div class="dyncontent">
<div class="center"><img src="_microphone_interface_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2include_2_audio_2_microphone_interface_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2include_2_audio_2_microphone_interface_8h" id="_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2include_2_audio_2_microphone_interface_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_microphone_interface_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2include_2_audio_2_microphone_interface_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2include_2_audio_2_microphone_interface_8hdep" id="_2workplace_2avs-device-sdk_2_application_utilities_2_resources_2_audio_2include_2_audio_2_microphone_interface_8hdep">
<area shape="rect" id="node2" href="_android_s_l_e_s_microphone_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/include\l/AndroidUtilities/AndroidSLESMicrophone.h" alt="" coords="497,119,776,184"/>
<area shape="rect" id="node6" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="1022,125,1245,177"/>
<area shape="rect" id="node13" href="_port_audio_microphone_wrapper_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/PortAudioMicrophone\lWrapper.h" alt="" coords="1377,119,1603,184"/>
<area shape="rect" id="node3" href="_android_s_l_e_s_engine_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/src/AndroidSLESEngine.cpp" alt="" coords="5,239,291,291"/>
<area shape="rect" id="node4" href="_android_s_l_e_s_microphone_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/src/AndroidSLESMicrophone.cpp" alt="" coords="315,239,629,291"/>
<area shape="rect" id="node5" href="_android_s_l_e_s_microphone_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/test/AndroidSLESMicrophone\lTest.cpp" alt="" coords="653,232,945,297"/>
<area shape="rect" id="node7" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="970,239,1188,291"/>
<area shape="rect" id="node12" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="1212,239,1418,291"/>
<area shape="rect" id="node8" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="852,345,1071,397"/>
<area shape="rect" id="node11" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="1095,345,1297,397"/>
<area shape="rect" id="node9" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="732,445,930,484"/>
<area shape="rect" id="node10" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="954,445,1234,484"/>
<area shape="rect" id="node14" href="_port_audio_microphone_wrapper_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/PortAudio\lMicrophoneWrapper.cpp" alt="" coords="1443,239,1646,291"/>
</map>
</div>
</div>
<p><a href="_microphone_interface_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html">alexaClientSDK::applicationUtilities::resources::audio::MicrophoneInterface</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This acts as an interface to record audio input from a microphone.  <a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_microphone_interface.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">alexaClientSDK::applicationUtilities</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities_1_1resources"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources.html">alexaClientSDK::applicationUtilities::resources</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html">alexaClientSDK::applicationUtilities::resources::audio</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
